%define module_name     r1000
%define module_version  1.05
%define module_release  alt3.132626.2

%define kversion	2.6.18
%define krelease	alt2
%define flavour		wks-smp


%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net

Summary: Linux %module_name - a Realtek RTL8169/8168/8101 Ethernet Controller Driver module
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.realtek.com.tw/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=falseExterner

BuildPreReq: kernel-build-tools

BuildRequires: kernel-headers-%flavour = %kversion-%krelease
#BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: kernel-source-%module_name = %module_version
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:       kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts:      kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86 x86_64

%description
Linux device driver for Realtek Ethernet Controllers
- RTL8169S/SB/SC (Gigabit Ethernet with PCI interface)
- RTL8168B (Gigabit Ethernet with PCI-Express interface)
- RTL8101E (Fast Ethernet with PCI-Express interface)

%prep
%__rm -rf kernel-source-%module_name-%module_version
%__tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build -C %_usrsrc/linux-%kversion-%flavour SUBDIRS=$PWD

%install
%__mkdir_p %buildroot/%module_dir
%__cp -a *.ko %buildroot/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%doc README release_note.txt
%module_dir

%changelog
* Tue Aug 07 2007 Dmitry V. Levin <ldv@altlinux.org> 1.05-alt3.132626.2
- Raised module release number to fix package update.

* Sun Jul 08 2007 L.A. Kostis <lakostis@altlinux.ru> 1.05-alt2.1.132626.2
- fix whitespaces.

* Mon Jan 29 2007 Sergey Vlasov <vsu@altlinux.ru> 1.05-alt2.132626.2
- Removed unneeded "Prereq: modutils".

* Thu Dec 14 2006 L.A. Kostis <lakostis@altlinux.ru> 1.05-alt1.132626.2
- 1.05 version.
- Remove obsoleted patches.
- Update URL.

* Wed Jun 28 2006 Andriy Stepanov <stanv@altlinux.ru> 1.03-alt1.132626.2
- Up to new version

* Tue Apr 25 2006 Grigory Batalov <bga@altlinux.ru> 1.02-alt1.132626.2
- Initial ALTLinux release.
